- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
tbb::flow::interface7::graph_node Class Referenceabstract

The base of all graph nodes. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface7::graph_node:

## Public Member Functions
| graph_node (graph &g)
virtual void | set_name (const char *name)=0
virtual void | extract (reset_flags f=rf_extract)

## Protected Member Functions
virtual void | reset (__TBB_PFG_RESET_ARG(reset_flags f=rf_reset_protocol))=0

## Protected Attributes
graph & | my_graph
graph_node * | next
graph_node * | prev

## Friends
class | graph
template<typename C , typename N >
class | graph_iterator

## Detailed Description

The base of all graph nodes.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.